// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/alokasi-topik": {
            "get": {
                "description": "Retrieves a list of topics.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Retrieve topics",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Page number",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "Items per page",
                        "name": "limit",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Search query",
                        "name": "search",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.TopikSwag"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds all new topics.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Add all new topics",
                "parameters": [
                    {
                        "description": "Topic object to add",
                        "name": "topics",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.TopikSwag"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.TopikSwag"
                            }
                        }
                    }
                }
            }
        },
        "/alokasi-topik/{id}": {
            "get": {
                "description": "Retrieves a topic by its ID.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Retrieve a topic by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.TopikSwag"
                        }
                    }
                }
            },
            "put": {
                "description": "Updates an existing topic.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Update an existing topic",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Updated topic object",
                        "name": "topic",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.TopikSwag"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.TopikSwag"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a topic by its ID.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Topics"
                ],
                "summary": "Delete a topic by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Topic ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK"
                    }
                }
            }
        },
        "/api/dosbing/dashboard": {
            "get": {
                "description": "Retrieves a list of mahasiswa supervised by a specific dosen for TA.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Dosbing"
                ],
                "summary": "Get mahasiswa by dosen ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Search",
                        "name": "search",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Size",
                        "name": "size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Offset",
                        "name": "offset",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retrieved",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.MahasiswaBimbingan"
                            }
                        }
                    }
                }
            }
        },
        "/api/dosbing/dashboard/statistic": {
            "get": {
                "description": "Retrieves the amount of mahasiswa supervised by a specific dosen for TA.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Dosbing"
                ],
                "summary": "Get amount of mahasiswa",
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retreived",
                        "schema": {
                            "$ref": "#/definitions/entity.JumlahMahasiswaSwag"
                        }
                    }
                }
            }
        },
        "/api/dosbing/dashboard/status-bimbingan": {
            "get": {
                "description": "Retrieves the amount of mahasiswa's bimbingan status supervised by a specific dosen for TA.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Dosbing"
                ],
                "summary": "Get amount of mahasiswa's bimbingan status by dosen ID",
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retreived",
                        "schema": {
                            "$ref": "#/definitions/entity.StatusBimbinganMahasiswa"
                        }
                    }
                }
            }
        },
        "/api/mahasiswa/dashboard": {
            "get": {
                "description": "Retrieves the status mahasiswa by NIM.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Status Mahasiswa"
                ],
                "summary": "Get status mahasiswa",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.DashboardMahasiswaRet"
                        }
                    }
                }
            }
        },
        "/batch-seminar": {
            "get": {
                "description": "Retrieves a list of batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Get batch for TA",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSeminar"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Add batch for Seminar",
                "parameters": [
                    {
                        "description": "Batch Seminar object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Delete batch for Seminar",
                "parameters": [
                    {
                        "description": "Batch Seminar object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch Seminar successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            }
        },
        "/batch-seminar-current": {
            "get": {
                "description": "Retrieves a list of batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Get batch seminar that current time is between its startDate and endDate.",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSeminar"
                            }
                        }
                    }
                }
            }
        },
        "/batch-seminar-live": {
            "get": {
                "description": "Retrieves a batch for Seminar.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Get batch seminar that is live.",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSeminar"
                            }
                        }
                    }
                }
            },
            "patch": {
                "description": "Set Batch to live.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Seminar"
                ],
                "summary": "Set Batch to live",
                "parameters": [
                    {
                        "description": "Batch Seminar object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch Seminar successfully updated to live",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            }
        },
        "/batch-sidang": {
            "get": {
                "description": "Retrieves a list of batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Get batch for Sidang",
                "responses": {
                    "200": {
                        "description": "Batch Sidang successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSidang"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Add batch for Sidang",
                "parameters": [
                    {
                        "description": "Batch Sidang object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Delete batch for Sidang",
                "parameters": [
                    {
                        "description": "Batch Sidang object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch TA successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSidang"
                        }
                    }
                }
            }
        },
        "/batch-sidang-current": {
            "get": {
                "description": "Retrieves a list of batch for Sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Get batch sidang that current time is between its startDate and endDate.",
                "responses": {
                    "200": {
                        "description": "Batch sidang successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSidang"
                            }
                        }
                    }
                }
            }
        },
        "/batch-sidang-live": {
            "get": {
                "description": "Retrieves a batch for sidang.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Get batch sidang that is live.",
                "responses": {
                    "200": {
                        "description": "Batch seminar successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.BatchSidang"
                            }
                        }
                    }
                }
            },
            "patch": {
                "description": "Set Batch to live.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Batch Sidang"
                ],
                "summary": "Set Batch to live",
                "parameters": [
                    {
                        "description": "Batch Sidang object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Batch sidang successfully updated to live",
                        "schema": {
                            "$ref": "#/definitions/entity.BatchSeminar"
                        }
                    }
                }
            }
        },
        "/bimbingan-log": {
            "post": {
                "description": "Add a new bimbingan log",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "BimbinganLog"
                ],
                "summary": "Add a new bimbingan log",
                "parameters": [
                    {
                        "description": "Bimbingan Log object",
                        "name": "bimbinganLog",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.BimbinganLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Bimbingan Log successfully added",
                        "schema": {
                            "$ref": "#/definitions/entity.BimbinganLog"
                        }
                    }
                }
            }
        },
        "/dashboard-tim": {
            "get": {
                "description": "Retrieves a list of mahasiswa that has already done pendaftaran",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Dashboard Tim TA"
                ],
                "summary": "Get mahasiswa pendaftaran",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Dosen ID",
                        "name": "id_dosen",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Limit",
                        "name": "limit",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Offset",
                        "name": "offset",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "List mahasiswa successfully retrieved",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.DataPendaftaran"
                            }
                        }
                    }
                }
            }
        },
        "/pendaftaran": {
            "post": {
                "description": "Adds a new pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Add pendaftaran",
                "parameters": [
                    {
                        "description": "Pendaftaran Add Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PendaftaranAddRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.PendaftaranSwag"
                        }
                    }
                }
            }
        },
        "/pendaftaran-delete": {
            "get": {
                "description": "Deletes a pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Delete pendaftaran",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the pendaftaran",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object"
                        }
                    }
                }
            }
        },
        "/pendaftaran-get-by-dosen": {
            "get": {
                "description": "Retrieves a list of pendaftaran records by dosen ID.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Get pendaftaran by dosen ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the dosen",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.PendaftaranSwag"
                            }
                        }
                    }
                }
            }
        },
        "/pendaftaran-update-interview": {
            "post": {
                "description": "Updates the interview time of a pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Update pendaftaran interview time",
                "parameters": [
                    {
                        "description": "Update Pendaftaran Interview Time Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.WaktuInterviewUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.PendaftaranSwag"
                        }
                    }
                }
            }
        },
        "/pendaftaran-update-status": {
            "post": {
                "description": "Updates the status of a pendaftaran record.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Pendaftaran"
                ],
                "summary": "Update pendaftaran status",
                "parameters": [
                    {
                        "description": "Update Pendaftaran Status Request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.UpdatePendaftaranRequest"
                        }
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Created",
                        "schema": {
                            "$ref": "#/definitions/entity.PendaftaranSwag"
                        }
                    }
                }
            }
        },
        "/period-data": {
            "get": {
                "description": "Retrieve period statistics (period data and number of mahasiswa accepted) that is used for tim tugas dashboard",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "dashboard-tim-tugas"
                ],
                "summary": "Retrieve dashboard period statistics (period data and number of mahasiswa accepted)",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodStats"
                        }
                    }
                }
            }
        },
        "/periode-pendaftaran": {
            "get": {
                "description": "Retrieves a list of bperiod for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Get period for pendaftaran",
                "responses": {
                    "200": {
                        "description": "Period pendaftaran successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                            }
                        }
                    }
                }
            },
            "post": {
                "description": "Adds a new period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Add period for pendaftaran",
                "parameters": [
                    {
                        "description": "Period Pendaftaran object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Period pendaftaran added successfully",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                }
            },
            "delete": {
                "description": "Deletes a period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Delete period for pendaftaran",
                "parameters": [
                    {
                        "description": "Period Pendaftaran object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Period pendaftaran successfully deleted",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                }
            }
        },
        "/periode-pendaftaran-current": {
            "get": {
                "description": "Retrieves a list of period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Get periode pendaftaran that current time is between its startDate and endDate.",
                "responses": {
                    "200": {
                        "description": "Period pendaftaran successfully retreived",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                }
            }
        },
        "/periode-pendaftaran-live": {
            "get": {
                "description": "Retrieves a period for pendaftaran.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Get periode pendaftaran that is live.",
                "responses": {
                    "200": {
                        "description": "Periode pendaftaran successfully retreived",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                            }
                        }
                    }
                }
            },
            "patch": {
                "description": "Set Period to live.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Periode Pendaftaran"
                ],
                "summary": "Set Period to live",
                "parameters": [
                    {
                        "description": "Period Pendaftaran object",
                        "name": "batch",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Periode pendaftaran successfully updated to live",
                        "schema": {
                            "$ref": "#/definitions/entity.PeriodPendaftaranSwag"
                        }
                    }
                }
            }
        },
        "/statistics-dashboard-tim-tugas": {
            "get": {
                "description": "Retrieve data and statistics that is used for tim tugas dashboard",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "dashboard-tim-tugas"
                ],
                "summary": "Retrieve dashboard data and statistics",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/entity.DashboardData"
                        }
                    }
                }
            }
        },
        "/system-logs": {
            "get": {
                "description": "Retrieves a list of system logs.",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "System Logs"
                ],
                "summary": "Retrieve system logs",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Limit number of logs per page",
                        "name": "limit",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "Offset for pagination",
                        "name": "offset",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/entity.SystemLog"
                            }
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "entity.BatchSeminar": {
            "type": "object",
            "properties": {
                "endDate": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "periodSemester": {
                    "type": "string"
                },
                "periodYear": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.BatchSidang": {
            "type": "object",
            "properties": {
                "endDate": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "periodSemester": {
                    "type": "string"
                },
                "periodYear": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.BerkasLogBimbingan": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "link": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                }
            }
        },
        "entity.BimbinganLog": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "id_mahasiswa": {
                    "type": "string"
                },
                "laporan_kemajuan": {
                    "type": "string"
                },
                "next_bimbingan": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "todo": {
                    "type": "string"
                }
            }
        },
        "entity.DashboardData": {
            "type": "object",
            "properties": {
                "list_pendaftaran": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entity.DataPendaftaranMahasiswa"
                    }
                },
                "statistics": {
                    "$ref": "#/definitions/entity.StatusStatistics"
                }
            }
        },
        "entity.DashboardMahasiswaRet": {
            "type": "object",
            "properties": {
                "bimbingan": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entity.LogBimbingan"
                    }
                },
                "dosen_bimbingan": {
                    "$ref": "#/definitions/entity.DataDosenBimbingan"
                },
                "mahasiswa": {
                    "$ref": "#/definitions/entity.DataMahasiswa"
                },
                "pendaftaran_ta": {
                    "$ref": "#/definitions/entity.StatusPendaftaranTA"
                },
                "seminar": {
                    "$ref": "#/definitions/entity.SidangSeminar"
                },
                "sidang": {
                    "$ref": "#/definitions/entity.SidangSeminar"
                }
            }
        },
        "entity.DataDosenBimbingan": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                }
            }
        },
        "entity.DataMahasiswa": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                }
            }
        },
        "entity.DataPendaftaran": {
            "type": "object",
            "properties": {
                "dosbing": {
                    "type": "string"
                },
                "id_pendaftaran": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "entity.DataPendaftaranMahasiswa": {
            "type": "object",
            "properties": {
                "judul_topik": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.DataTopik": {
            "type": "object",
            "properties": {
                "deskripsi": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "id_pengaju": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                }
            }
        },
        "entity.JumlahMahasiswaSwag": {
            "type": "object",
            "properties": {
                "mahasiswa_if": {
                    "type": "integer"
                },
                "mahasiswa_sti": {
                    "type": "integer"
                }
            }
        },
        "entity.LogBimbingan": {
            "type": "object",
            "properties": {
                "berkas": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entity.BerkasLogBimbingan"
                    }
                },
                "id": {
                    "type": "string"
                },
                "laporan_kemajuan": {
                    "type": "string"
                },
                "next_bimbingan": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "todo": {
                    "type": "string"
                },
                "waktu_bimbingan": {
                    "type": "string"
                }
            }
        },
        "entity.MahasiswaBimbingan": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "id_topik": {
                    "type": "string"
                },
                "judul_topik": {
                    "type": "string"
                },
                "nama": {
                    "type": "string"
                },
                "nim": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "entity.PendaftaranAddRequest": {
            "type": "object",
            "properties": {
                "idDosen": {
                    "type": "string"
                },
                "idMahasiswa": {
                    "type": "string"
                },
                "idPeriode": {
                    "type": "string"
                },
                "idTopik": {
                    "type": "string"
                }
            }
        },
        "entity.PendaftaranSwag": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "Use this if you want to override the gorm.Model's CreatedAt",
                    "type": "string"
                },
                "decidedAt": {
                    "type": "string"
                },
                "id": {
                    "description": "UUID as a string",
                    "type": "string"
                },
                "idDosen": {
                    "type": "string"
                },
                "idMahasiswa": {
                    "type": "string"
                },
                "idPeriode": {
                    "type": "string"
                },
                "idTopik": {
                    "type": "string"
                },
                "interviewAt": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "updatedAt": {
                    "description": "Use this if you want to override the gorm.Model's UpdatedAt",
                    "type": "string"
                }
            }
        },
        "entity.PeriodPendaftaranSwag": {
            "type": "object",
            "properties": {
                "endDate": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "periodSemester": {
                    "type": "string"
                },
                "periodYear": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.PeriodStats": {
            "type": "object",
            "properties": {
                "count_mahasiswa": {
                    "type": "integer"
                },
                "period": {
                    "$ref": "#/definitions/src_module_dashboard_tim_tugas_entity.PeriodPendaftaran"
                }
            }
        },
        "entity.SidangSeminar": {
            "type": "object",
            "properties": {
                "ditolak": {
                    "type": "boolean"
                },
                "id": {
                    "type": "string"
                },
                "jadwal_seminar": {
                    "type": "string"
                },
                "lulus": {
                    "type": "boolean"
                },
                "ruangan": {
                    "type": "string"
                }
            }
        },
        "entity.StatusBimbinganMahasiswa": {
            "type": "object",
            "properties": {
                "butuh_bimbingan": {
                    "type": "integer"
                },
                "lancar": {
                    "type": "integer"
                },
                "terkendala": {
                    "type": "integer"
                }
            }
        },
        "entity.StatusPendaftaranTA": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "jadwal_interview": {
                    "type": "string"
                },
                "jalur_pilihan": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "topik": {
                    "$ref": "#/definitions/entity.DataTopik"
                },
                "waktu_keputusan": {
                    "type": "string"
                },
                "waktu_pengiriman": {
                    "type": "string"
                }
            }
        },
        "entity.StatusStatistics": {
            "type": "object",
            "properties": {
                "diproses": {
                    "type": "integer"
                },
                "diterima": {
                    "type": "integer"
                },
                "ditolak": {
                    "type": "integer"
                },
                "persen_diproses": {
                    "type": "number"
                },
                "persen_diterima": {
                    "type": "number"
                },
                "persen_ditolak": {
                    "type": "number"
                }
            }
        },
        "entity.SystemLog": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "id_pengguna": {
                    "type": "string"
                }
            }
        },
        "entity.TopikSwag": {
            "type": "object",
            "properties": {
                "deskripsi": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "idDosen": {
                    "type": "string"
                },
                "judul": {
                    "type": "string"
                },
                "namaDosen": {
                    "type": "string"
                },
                "periode": {
                    "type": "string"
                }
            }
        },
        "entity.UpdatePendaftaranRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "entity.WaktuInterviewUpdateRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "interviewAt": {
                    "type": "string"
                }
            }
        },
        "src_module_dashboard_tim_tugas_entity.PeriodPendaftaran": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "semester": {
                    "type": "string"
                },
                "start_date": {
                    "type": "string"
                },
                "status": {
                    "type": "boolean"
                },
                "year": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
