package entity

import "time"

type BimbinganLog struct {
	ID              string `json:"id"`
	IDMahasiswa     string `gorm:"column:id_mahasiswa" json:"id_mahasiswa"`
	Date            string `json:"date"`
	LaporanKemajuan string `json:"laporan_kemajuan"`
	Todo            string `json:"todo"`
	NextBimbingan   string `json:"next_bimbingan"`
	Status          bool   `json:"status"`
}

type BimbinganLogBerkas struct {
	ID              string   `json:"id"`
	IDMahasiswa     string   `gorm:"column:id_mahasiswa" json:"id_mahasiswa"`
	Date            string   `json:"date"`
	LaporanKemajuan string   `json:"laporan_kemajuan"`
	Todo            string   `json:"todo"`
	NextBimbingan   string   `json:"next_bimbingan"`
	Status          bool     `json:"status"`
	Berkas          []Berkas `json:"berkas" gorm:"foreignKey:IDBimbinganLog;references:ID"`
}

type ListBimbingaLogBerkas struct {
	ListBimbinganLogBerkas []BimbinganLogBerkas
}

type ParamValues struct {
	Limit  int
	Offset int
}

type UpdateStatusRequest struct {
	Status bool `json:"status"`
}

type BimbinganLogStatus struct {
	Status bool `json:"status"`
	LogBimbingan []BimbinganLogBerkas `json:"bimbingan_logs"`
} 
type InfoTopikMahasiswa struct {
	IDMahasiswa    string    `json:"id_mahasiswa"`
	Nama           string    `json:"nama"`
	Email          string    `json:"email"`
	JalurPilihan   string    `json:"jalur_pilihan"`
	SubmissionTime time.Time `json:"submission_time"`
	Judul          string    `json:"judul"`
	Deskripsi      string    `json:"deskripsi"`
}
