package usecase

import (
	"gitlab.informatika.org/k-01-11/graduit-be/src/models"
	"gitlab.informatika.org/k-01-11/graduit-be/src/module/pendaftaran_sidsem/entity"
)

type PendaftaranSidSemRepository interface {
	NewPendaftaranSidSem(jadwal entity.PendaftaranSidSem, berkas []entity.BerkasSidSem) (output entity.PendaftaranSidSemBerkas, err error)
	GetPendaftaranByPeriode(idPeriode string, offset, size int) (output []entity.PendaftaranSidSemRequest, err error)
	GetPendaftaranSeminarById(id string) (output entity.SeminarPendaftaranSidSemRequest, err error)
	GetPendaftaranSidangById(id string) (output entity.SidangPendaftaranSidSemRequest, err error)
	EditRuangan(id string, id_ruangan string) (entity.PendaftaranSidSem, error)
	EditDosenPengujiSidang(input entity.EditDosenPengujiSidangRequest) ([]models.PengujiSidsem, error)
	EditDosenPengujiSeminar(input entity.EditDosenPengujiSeminarRequest) ([]models.PengujiSidsem, error)
	EditWaktu(input entity.EditWaktuRequest) (models.PendaftaranSidSem, error)
	DeletePendaftaran(id string) (entity.PendaftaranSidSem, error)
	EditLulus(input entity.EditLulusRequest) (models.PendaftaranSidSem, error)
	EditDitolak(input entity.EditDitolakRequest) (entity.PendaftaranSidSem, error)
	GetNameUntilTopikPlaceholders(idMahasiswa string) (entity.NameTopik, error)
	GetDosbingNamePlaceholder(idMahasiswa string) (entity.DosbingName, error)
	GetPendaftaranTaIdByMahasiswa(idMahasiswa string) (string, error)
	GetPendaftaran(offset, size int) (output []entity.RekapPendaftaranRequest, err error)
	IsRegisteredSidsem(idMahasiswa string, tipe string) (string, error)
	GetInfoTopikMahasiswa(idMahasiswa string) (entity.InfoTopikMahasiswa, error)
	GetRemainingDetailSidSem(idMahasiswa string) (entity.RemainingDetailSidSem, error)
}
